Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 739138 - dev-util/intel-graphics-compiler-1.0.4111: src_config incompatible with sys-devel/binutils-config[-native-symlinks]
Summary: dev-util/intel-graphics-compiler-1.0.4111: src_config incompatible with sys-d...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Marek Szuba
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2020-08-26 19:42 UTC by Agostino Sarubbo
Modified: 2020-09-07 11:09 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,11.76 KB, text/plain)
2020-08-26 19:42 UTC, Agostino Sarubbo
Details
1-CMakeOutput.log (1-CMakeOutput.log,45.83 KB, text/plain)
2020-08-26 19:42 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-08-26 19:42:36 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-util/intel-graphics-compiler-1.0.4111 fails to compile.
Discovered on: amd64 (internal ref: ci)

NOTE:
This machine uses GLIBC-2.32. If you think that this issue is strictly related to GLIBC please block bug 736174.
Comment 1 Agostino Sarubbo gentoo-dev 2020-08-26 19:42:38 UTC
Created attachment 656942 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-08-26 19:42:40 UTC
Created attachment 656944 [details]
1-CMakeOutput.log

1-CMakeOutput.log
Comment 3 Marek Szuba gentoo-dev 2020-09-03 15:07:54 UTC
Not this heisenbug again...
Comment 4 Marek Szuba gentoo-dev 2020-09-03 15:26:30 UTC
As before: what do you get when you run 'readelf -d /usr/lib/llvm/10/lib64/libopencl-clang.so* | grep SONAME'?
Comment 5 Agostino Sarubbo gentoo-dev 2020-09-04 08:46:23 UTC
(In reply to Marek Szuba from comment #4)
> As before: what do you get when you run 'readelf -d
> /usr/lib/llvm/10/lib64/libopencl-clang.so* | grep SONAME'?

 0x000000000000000e (SONAME)             Library soname: [libopencl-clang.so.10]
 0x000000000000000e (SONAME)             Library soname: [libopencl-clang.so.10]

I guess that the issue comes from the fact that CMakeLists.txt is calling readelf directly and I don't have it with sys-devel/binutils-config and sys-devel/gcc-config -native-symlink
Comment 6 Marek Szuba gentoo-dev 2020-09-04 08:58:22 UTC
Progress at last! Will think about how to fix this properly.
Comment 7 Marek Szuba gentoo-dev 2020-09-07 11:04:30 UTC
The direct 'readelf' call is still there on the master branch so upstream has been notified. Unfortunately I haven't figured out how to make CMake detect the toolchain prefix (it seems IGC doesn't use any of the modules which do it), and using the value of CHOST to pass it from the outside breaks multilib (for abi_x86_32 runs, CHOST gets rewritten to i686-pc-linux-gnu). Fortunately, as far as distribution packages are concerned there is an easy workaround - assume the package manager has got dependencies under control and bypass the opencl-clang version check in IGC altogether.
Comment 8 Larry the Git Cow gentoo-dev 2020-09-07 11:09:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d72bc570d77c3aae6ca74a509311be211000919b

commit d72bc570d77c3aae6ca74a509311be211000919b
Author:     Marek Szuba <marecki@gentoo.org>
AuthorDate: 2020-09-07 10:56:14 +0000
Commit:     Marek Szuba <marecki@gentoo.org>
CommitDate: 2020-09-07 11:09:28 +0000

    dev-util/intel-graphics-compiler: bypass opencl-clang version check
    
    Ebuilds already make sure we have a new-enough version of
    dev-libs/opencl-clang present, besides we have never even had versions
    older than 5.0.0 in the tree. No opencl-clang version check in CMake -
    no need to call readelf - no more issues on USE=-native-symlinks
    systems.
    
    Closes: https://bugs.gentoo.org/739138
    Signed-off-by: Marek Szuba <marecki@gentoo.org>

 ...cs-compiler-1.0.4111-opencl-clang_version.patch | 27 ++++++++++++++++++++++
 .../intel-graphics-compiler-1.0.4111.ebuild        |  2 ++
 2 files changed, 29 insertions(+)